MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
TagHandler Struct Reference

A callback table for receiving metadata of a song. More...

`#include <TagHandler.hxx>`

## Data Fields
void(* | duration )(SongTime duration, void *ctx)
| Declare the duration of a song. More...
void(* | tag )(TagType type, const char *value, void *ctx)
| A tag has been read. More...
void(* | pair )(const char *key, const char *value, void *ctx)
| A name-value pair has been read. More...

## Detailed Description

A callback table for receiving metadata of a song.

Definition at line 32 of file TagHandler.hxx.

## Field Documentation

void(* TagHandler::duration) (SongTime duration, void *ctx)

Declare the duration of a song.

Do not call this when the duration could not be determined, because there is no magic value for "unknown duration".

Definition at line 38 of file TagHandler.hxx.

void(* TagHandler::pair) (const char *key, const char *value, void *ctx)

A name-value pair has been read.

It is the codec specific representation of tags.

Definition at line 52 of file TagHandler.hxx.

void(* TagHandler::tag) (TagType type, const char *value, void *ctx)

A tag has been read.

Parameters

  the | value of the tag; the pointer will become invalid after returning

Definition at line 46 of file TagHandler.hxx.

The documentation for this struct was generated from the following file:

- tag/TagHandler.hxx